Create a machine
curl --request POST \
--url https://api.example.com/fleets/{fleet}/machines \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"guest": {
"cpu_kind": "<string>",
"cpus": 2,
"memory_mb": 2
},
"workload": {
"image": "<string>",
"type": "<string>",
"env": [
"<string>"
],
"init": {
"cmd": [
"<string>"
],
"entrypoint": [
"<string>"
],
"user": "<string>"
},
"restart_policy": {
"max_retries": 123,
"policy": "<string>"
}
},
"auto_destroy": true,
"stop_config": {
"signal": "<string>",
"timeout": 123
}
},
"region": "<string>",
"skip_start": true
}
'import requests
url = "https://api.example.com/fleets/{fleet}/machines"
payload = {
"config": {
"guest": {
"cpu_kind": "<string>",
"cpus": 2,
"memory_mb": 2
},
"workload": {
"image": "<string>",
"type": "<string>",
"env": ["<string>"],
"init": {
"cmd": ["<string>"],
"entrypoint": ["<string>"],
"user": "<string>"
},
"restart_policy": {
"max_retries": 123,
"policy": "<string>"
}
},
"auto_destroy": True,
"stop_config": {
"signal": "<string>",
"timeout": 123
}
},
"region": "<string>",
"skip_start": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
guest: {cpu_kind: '<string>', cpus: 2, memory_mb: 2},
workload: {
image: '<string>',
type: '<string>',
env: ['<string>'],
init: {cmd: ['<string>'], entrypoint: ['<string>'], user: '<string>'},
restart_policy: {max_retries: 123, policy: '<string>'}
},
auto_destroy: true,
stop_config: {signal: '<string>', timeout: 123}
},
region: '<string>',
skip_start: true
})
};
fetch('https://api.example.com/fleets/{fleet}/machines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"guest": {
"cpu_kind": "<string>",
"cpus": 2,
"memory_mb": 2
},
"workload": {
"image": "<string>",
"type": "<string>",
"env": [
"<string>"
],
"init": {
"cmd": [
"<string>"
],
"entrypoint": [
"<string>"
],
"user": "<string>"
},
"restart_policy": {
"max_retries": 123,
"policy": "<string>"
}
},
"auto_destroy": true,
"stop_config": {
"signal": "<string>",
"timeout": 123
}
},
"created_at": "2023-11-07T05:31:56Z",
"fleet": "<string>",
"id": "<string>",
"instance_id": "<string>",
"machine_version": "<string>",
"namespace": "<string>",
"region": "<string>",
"state": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Machines
Create a machine
POST
/
fleets
/
{fleet}
/
machines
Create a machine
Path Parameters
Query Parameters
Body
application/json
⌘I